import { objectWithoutProperties as _objectWithoutProperties, extends as _extends } from '../../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { cx } from '../../../../utils/index.js';
import { StyledTextboxTitle } from './CellTextboxTitle.styles.js';

var _excluded = ["children", "className"];
var CellTextboxTitle = function CellTextboxTitle(_ref) {
  var children = _ref.children,
    className = _ref.className,
    rest = _objectWithoutProperties(_ref, _excluded);
  // TODO: #1548
  return /*#__PURE__*/React__default.createElement(StyledTextboxTitle, _extends({
    className: cx('cell-textbox-title', className)
  }, rest), children);
};

export { CellTextboxTitle };
